Bug 520440 - dansguardian logrotate configuration breaks when dansguardian is not running
Summary: dansguardian logrotate configuration breaks when dansguardian is not running
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dansguardian
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Felix Kaechele
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-31 14:04 UTC by Jonathan Kamens
Modified: 2009-10-14 02:03 UTC (History)
1 user (show)

Fixed In Version: 2.10.1.1-3.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-14 01:51:50 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2009-08-31 14:04:25 UTC
The dansguardian logrotate script tries to kill dansguardian without checking if it is running, and restarts it after rotation even if it was not previously running.  I have dansguardian installed on my system, but it is currently disabled with "chkconfig dansguardian off" because I do not want it running right now.  The logrotate configuration needs to not break in this configuration.

Comment 1 Fedora Update System 2009-09-23 18:52:27 UTC
dansguardian-2.10.1.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dansguardian-2.10.1.1-3.fc11

Comment 2 Fedora Update System 2009-09-23 18:52:59 UTC
dansguardian-2.10.1.1-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/dansguardian-2.10.1.1-3.fc10

Comment 3 Fedora Update System 2009-09-25 20:06:15 UTC
dansguardian-2.10.1.1-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dansguardian'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9919

Comment 4 Fedora Update System 2009-09-25 20:08:58 UTC
dansguardian-2.10.1.1-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dansguardian'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9928

Comment 5 Fedora Update System 2009-10-14 01:50:48 UTC
dansguardian-2.10.1.1-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-10-14 02:02:52 UTC
dansguardian-2.10.1.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.